libzfs2linux_0.6.5.9-5_amd64.deb


Advertisement

Description

libzfs2linux - OpenZFS filesystem library for Linux

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Contrib amd64
Package name libzfs2linux
Package version 0.6.5.9
Package release 5
Package architecture amd64
Package type deb
Installed size 363 B
Download size 122.93 KB
Official Mirror ftp.br.debian.org
The Z file system is a pooled filesystem designed for maximum data
integrity, supporting data snapshots, multiple copies, and data
checksums.
The OpenZFS library provides support for managing OpenZFS filesystems.

Alternatives

Package Version Architecture Repository
libzfs2linux_0.6.5.9-5_i386.deb 0.6.5.9 i386 Debian Contrib
libzfs2linux - - -

Requires

Name Value
libblkid1 >= 2.16
libc6 >= 2.14
libnvpair1linux -
libuuid1 >= 2.16
libuutil1linux -
libzpool2linux -
zlib1g >= 1:1.1.4

Download

Type URL
Binary Package libzfs2linux_0.6.5.9-5_amd64.deb
Source Package zfs-linux

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libzfs2linux deb package:
    # sudo apt-get install libzfs2linux

Files

Path
/lib/libzfs.so.2
/lib/libzfs.so.2.0.0
/lib/libzfs_core.so.1
/lib/libzfs_core.so.1.0.0
/usr/share/doc/libzfs2linux/COPYRIGHT
/usr/share/doc/libzfs2linux/OPENSOLARIS.LICENSE.gz
/usr/share/doc/libzfs2linux/changelog.Debian.gz
/usr/share/doc/libzfs2linux/copyright
/usr/share/lintian/overrides/libzfs2linux

Changelog

2017-03-19 - Aron Xu <aron@debian.org>
zfs-linux (0.6.5.9-5) unstable; urgency=medium
* Add zfs initramfs conf for root pool setup
(Closes: #848157, LP: #1673197)
2017-03-14 - Aron Xu <aron@debian.org>
zfs-linux (0.6.5.9-4) unstable; urgency=medium
* autopkgtest: load zfs module before running tests
2017-03-13 - Aron Xu <aron@debian.org>
zfs-linux (0.6.5.9-3) unstable; urgency=medium
[ Petter Reinholdtsen ]
* Updated German debconf translation by Helge Kreutzmann. (Closes: #857528)
* Updated metadata on a few patches.
[ Aron Xu ]
* Cherry-pick upstream fix for merged /usr/lib and /lib
* Manually maintain adt test Depends
2017-02-07 - Aron Xu <aron@debian.org>
zfs-linux (0.6.5.9-2) unstable; urgency=medium
[ Fabian Grünbichler ]
* fix zed-service-bindir patch
2017-02-06 - Aron Xu <aron@debian.org>
zfs-linux (0.6.5.9-1) unstable; urgency=medium
[ Aron Xu ]
* Imported Upstream version 0.6.5.9 (Closes: #851513)
[ Lukas Wunner ]
* Cherry picks for root zpool with dracut (Closes: #849969)
* Fix installation path of systemd files
* Fix build breakage caused by nonstandard umask
[ Fabian Grünbichler ]
* fix python script install path (Closes: #842237)
2017-01-05 - Carlos Alberto Lopez Perez <clopez@igalia.com>
zfs-linux (0.6.5.8-3) unstable; urgency=medium
* Fix the path on the zfs-zed unit file (Closes: #849813)
2016-12-17 - Aron Xu <aron@debian.org>
zfs-linux (0.6.5.8-2) unstable; urgency=medium
[ Richard Laager ]
* Remove .py extension from utilities in /usr/sbin as per policy
10.4 Scripts (LP: #1628279)
[ Colin Ian King ]
* Use python3 for arcstat.py, arc_summary.py & dbufstat.py (LP: #1627909)
[ Richard Laager ]
* Set PATH in cron.d job to fix monthly scrubs. (LP: #1548009)
[ Aron Xu ]
* Install zed into /usr/sbin
* Rename zfsutils path to follow the package name
* Add missing part in python3 move
* Install zed to /usr/sbin
[ Petter Reinholdtsen ]
* Updated Italian debconf translation by Beatrice Torracca.
(Closes: #846928)
* Added patch 1003-linux-4.9-compat.patch from upstream to build with
Linux kernel 4.9. (Closes: #847018)
2016-09-20 - Aron Xu <aron@debian.org>
zfs-linux (0.6.5.8-1) unstable; urgency=medium
[ Carlos Alberto Lopez Perez ]
* Reflow changelog from last upload to avoid lintian warning.
[ Aron Xu ]
* Imported Upstream version 0.6.5.8 (Closes: #838192)
* Conflicts with zutils (Closes: #836853)
[ Zhou Mo ]
* Patch: remove merged patches.
* Upstream renamed zed.service to zfs-zed.service .
* Avoid installing zfs-zed.service twice.
2016-08-16 - Carlos Alberto Lopez Perez <clopez@igalia.com>
zfs-linux (0.6.5.7-2) unstable; urgency=medium
[ Aron Xu ]
* Add busybox to zfs-initramfs list of dependencies. (Closes: #824976)
[ Petter Reinholdtsen ]
* Updated Danish debconf translation by Joe Hansen. (Closes: #830652)
* Added Dutch (nl) debconf translation by Frans Spiesschaert.
(Closes: #832280)
* Norwegian Bokmål (nb) debconf template translation by Petter Reinholdtsen.
[ Eric Desrochers ]
* Change utilities path (bindir) to /usr/sbin. (Closes: #832938)
[ Carlos Alberto Lopez Perez]
* Add tunable to ignore hole_birth, and enable it by default.
(Closes: #830824)
2016-05-31 - Aron Xu <aron@debian.org>
zfs-linux (0.6.5.7-1) unstable; urgency=medium
[ YunQiang Su ]
* 1002-fix-mips-build.patch: fix builds on mips* archs
[ Aron Xu ]
* New upstream release.
* 1001-Fix-aarch64-compilation.patch: dropped, not needed anymore
* Merge patches from Ubuntu:
- 0002-Check-for-META-and-DCH-consistency-in-autoconf.patch
- 0003-Add-libuutil-to-LIBADD-for-libzfs-and-libzfs_core.patch
- enable-zed.patch

See Also

Package Description
libzfslinux-dev_0.6.5.9-5_amd64.deb OpenZFS filesystem development files for Linux
libzpool2linux_0.6.5.9-5_amd64.deb OpenZFS pool library for Linux
mathematica-fonts_20_all.deb transitional dummy package
matlab-gdf_0.1.2-2_all.deb IO library for the GDF -- Matlab interface
matlab-support_0.0.21_all.deb distro integration for local MATLAB installations
mess-desktop-entries_0.2-2_all.deb Desktop entries for MESS ROMs
microcode.ctl_1.18~0+nmu2_amd64.deb Intel IA32/IA64 CPU Microcode Utility (transitional package)
nvidia-installer-cleanup_20151021+4_amd64.deb cleanup after driver installation with the nvidia-installer
nvidia-kernel-common_20151021+4_amd64.deb NVIDIA binary kernel module support files
nvidia-modprobe_390.87-1~deb9u1_amd64.deb utility to load NVIDIA kernel modules and create device nodes
nvidia-persistenced_390.87-1~deb9u1_amd64.deb daemon to maintain persistent software state in the NVIDIA driver
nvidia-settings-legacy-304xx_304.134-1_amd64.deb tool for configuring the NVIDIA graphics driver (304xx legacy version)
nvidia-settings-legacy-340xx_340.101-1_amd64.deb tool for configuring the NVIDIA graphics driver (340xx legacy version)
nvidia-settings_390.87-1~deb9u1_amd64.deb tool for configuring the NVIDIA graphics driver
nvidia-support_20151021+4_amd64.deb NVIDIA binary graphics driver support files
Advertisement
Advertisement